#ifndef PROCESSCREATEISO_H
#define PROCESSCREATEISO_H

#include "processbasic.h"
#include "src/frame/auditlog.h"
#include <QObject>
#include "kysdk/kysdk-system/libkysysinfo.h"
#include <QGSettings/QGSettings>
class ProcessCreateISO : public ProcessBasic
{
    Q_OBJECT
Q_SIGNALS:
    void clear();
public:
    ProcessCreateISO(void *, void *, QObject *parent = nullptr);
    ~ProcessCreateISO();
protected:
    bool prepare();
    bool config();
    bool worked();
protected slots:
    void slotsStart();
    void slotsOutput();
    void slotsError();
    void slotsFinished(int, QProcess::ExitStatus);
private slots:
    void slotsCopy(QString, QString);
private:
    int       m_iCopied;
    void     *m_oCDROM;
    void     *m_oRoot;
    AuditLog  m_oCreateIsoLog;
    bool m_isSpecialMachine;
    QGSettings *auditburner;
    QString auditlogpath;
};

#endif // PROCESSCREATEISO_H
